<p>

<%= @user %> und der Staat
<%= @state   %>
</p>






<P>
  Eingabe: <input type="text" name="Testeingabe" onKeyup="CheckZahl(this)">
</P>

<script type="text/javascript" language="javascript">
  function CheckZahl(feld)
{
 if(isNaN(feld.value) == true)
 {
  feld.value=feld.value.slice(0,feld.value.length-1); //Eingegebener Buchstabe wird gelöscht
 }
}



  </script>